## cascading.flow
Interface FlowElement

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  Group

All Known Implementing Classes:
  AggregateBy, AverageBy, BasePartitionTap, BaseTemplateTap, Checkpoint, Coerce, CoGroup, CountBy, DecoratorTap, Discard, Each, ElementGraph.Extent, Every, FirstBy, GroupBy, HashJoin, MaxBy, Merge, MinBy, MultiSinkTap, MultiSourceTap, Operator, Pipe, Rename, Retain, SinkTap, SourceTap, Splice, SubAssembly, SumBy, Tap, Unique

    public interface FlowElement

extends Serializable

Interface FlowElement is a utility interface used internally to simplify DAG management. It is not intended for users to interact with these methods directly.

Method Summary
`ConfigDef` `getConfigDef()`
`ConfigDef` `getStepConfigDef()`
`boolean` `hasConfigDef()`
`boolean` `hasStepConfigDef()`
`boolean` `isEquivalentTo(FlowElement element)`
`Scope` `outgoingScopeFor(Set<Scope> incomingScopes)` Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.
`Fields` `resolveIncomingOperationArgumentFields(Scope incomingScope)` Method resolveIncomingOperationArgumentFields returns the Fields outgoing from the previous FlowElement that are consumable by this FlowElement when preparing Operation arguments.
`Fields` `resolveIncomingOperationPassThroughFields(Scope incomingScope)` Method resolveIncomingOperationPassThroughFields returns the Fields outgoing from the previous FlowElement that are consumable by this FlowElement when preparing the Pipe outgoing tuple.

Method Detail

### outgoingScopeFor

    Scope outgoingScopeFor(Set<Scope> incomingScopes)

  Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.

  Parameters:
    `incomingScopes` - of type Set<Scope>
  Returns:
    Scope

### resolveIncomingOperationArgumentFields

    Fields resolveIncomingOperationArgumentFields(Scope incomingScope)

  Method resolveIncomingOperationArgumentFields returns the Fields outgoing from the previous FlowElement that are consumable by this FlowElement when preparing Operation arguments.

  Parameters:
    `incomingScope` - of type Scope
  Returns:
    Fields

### resolveIncomingOperationPassThroughFields

    Fields resolveIncomingOperationPassThroughFields(Scope incomingScope)

  Method resolveIncomingOperationPassThroughFields returns the Fields outgoing from the previous FlowElement that are consumable by this FlowElement when preparing the Pipe outgoing tuple.

  Parameters:
    `incomingScope` - of type Scope
  Returns:
    Fields

### isEquivalentTo

    boolean isEquivalentTo(FlowElement element)

### getStepConfigDef

    ConfigDef getStepConfigDef()

### hasStepConfigDef

    boolean hasStepConfigDef()

### getConfigDef

    ConfigDef getConfigDef()

### hasConfigDef

    boolean hasConfigDef()

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.